getQuoteMaterials
READGet quote materials.
POST /api/v1/sales/getQuoteMaterials
curl -X POST '<your-host>/api/v1/sales/getQuoteMaterials' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"quoteId": "string"
}'Response
{
"results": [
{
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"customFields": "…",
"description": "string",
"id": "string",
"itemId": "string",
"itemType": "string",
"kit": true,
"methodType": "Purchase to Order",
"order": 0,
"productionQuantity": 0,
"quantity": 0,
"quoteId": "string",
"quoteLineId": "string",
"quoteMakeMethodId": "string",
"quoteOperationId": "string",
"scrapQuantity": 0,
"storageUnitId": "string",
"tags": [
"string"
],
"unitCost": 0,
"unitCostSource": "string",
"unitOfMeasureCode": "string",
"updatedAt": "string",
"updatedBy": "string"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"quoteId": {
"type": "string"
}
},
"required": [
"quoteId"
]
}